#include <iostream>
#include<cmath>
using namespace std;

int main()
{
    long long int A;
    long long int B;
    long long int C;
    int l;
    cin >> A;
    cin >> B;
    cin >> C;

    int la=log10(A)+1;
    int lb=log10(B)+1;
    int lc=log10(C)+1;
    l=la;
    if (lb>l) l=lb;
    if (lc>l) l=lc;

    la=(int)(pow(10.0, l-la));
    lb=(int)(pow(10.0,l-lb));
    lc=(int)(pow(10.0,l-lc));
    if(la*A>lb*B) if (la*A>lc*C) {cout << A; if (lb*B>lc*C) cout << B << C; else cout << C << B;}
    else cout << C << A << B;
    else if(lb*B>lc*C) {cout << B; if (lc*C>la*A) cout << C << A; else cout << A << C;}
    else cout << C << B << A;



    return 0;
}